#include <Wt/WStackedWidget> //contentsStack
#include <Wt/WApplication> //WApplication
#include <Wt/Utils> //Utils
#include <Wt/Dbo/WtSqlTraits> //sql_value_traits
#include <Wt/WAnchor> //WAnchor

#include "QueueMateWeb.h" //QueueMateWeb


/*!
  *@brief 构造函数，指定亲代部件。
  */
QueueMateWeb::QueueMateWeb(WContainerWidget *Parent):WContainerWidget(Parent)
{

    setStyleClass("P2pWebContainer"); //设置样式类。

    srand(time(0)); //初始化随机数生成器。


    //构建各个标签，并且添加到界面上：
    //一个大厅标签页，一个用户信息标签页，一个个的业务标签页：
    UserManageTab=new UserTabWidget(); //创建一个账户管理标签。

    Tabs=new WTabWidget(this); //创建标签部件。
    Tabs->setStyleClass("P2pWebTab"); //设置样式类。
    Tabs->contentsStack()->setStyleClass("P2pWebTabStack"); //设置样式类。
    Tabs->addTab(UserManageTab,WString::tr("Account Manage")); //账户管理标签页。


    //放在菜单栏后面作为背景的标签：
    WLabel * BgLbl=new WLabel(this);
    BgLbl->show(); //显示。
    BgLbl->setStyleClass("NavBg"); //导航条的背景。

} //GenieProWeb::GenieProWeb(WContainerWidget *Parent):WTabWidget(Parent)



/*!
  *@brief 析构函数。
  */
QueueMateWeb::~QueueMateWeb()
{
    delete Tabs; //Delete the tabs.

} //GenieProWeb::~GenieProWeb()




/*!
  *@brief 设置内部路径为根路径。
  */
void QueueMateWeb::SetPathRoot()
{
    WApplication::instance()->setInternalPath("/"); //设置内部路径。

    return;
} //void GenieProWeb::SetPathRoot()




/*!
 * \brief P2pWeb::SetApp 设置应用程序实例。
 * \param this2St 要设置的应用程序实例。
 */
void QueueMateWeb::SetApp(WApplication * this2St)
{
    app=this2St; //记录。

    return;
} //void P2pWeb::SetApp(WApplication * this2St) //!<设置应用程序实例。



/*!
 *  刷新事件。
 */
void QueueMateWeb::refresh()
{
  WApplication::instance()->useStyleSheet("QueueMateWeb.css"); //刷新CSS。
} //void QueueMateWeb::refresh() //!<刷新事件。
