#ifndef USER_SELF_WIDGET_H
#define USER_SELF_WIDGET_H

#include <Wt/WWidget> //WWidget
#include <Wt/WLabel> //WLabel
#include <Wt/WContainerWidget> //WContainerWidget
#include <Wt/WPushButton> //WPushButton
#include <Wt/WTable> //WTable

using namespace Wt; //WWidget

#include "UserSelfWidget.h" //UserSelfWidget

/*!
  *@brief 显示用户信息的部件。
  */
class UserSelfWidget : public WContainerWidget
{
public:
    void SetRestrictedInfoAccess(bool WhetherRestricttrue,int RstctUsrId); //!<Set the info access previlege.
    WString GetUser(); //!<返回用户名。
    Signal<> ModifyPasswordSignal; //!<要修改密码。
    void SetDatabaseName(WString * DatabaseName2Set); //!<设置数据库名字的指针。
    void SetDbUserName(WString * DbUserName2Set); //!<设置用来连接数据库的用户名的指针。
    void SetDbPassword(WString * DbPassword2Set); //!<设置用来连接数据库的密码的指针。
    Signal<WTable *> TableAltered; //!<表格发生变化。
    Signal<> LogoutSignal; //!<退出信号。
    UserSelfWidget(); //!<构造函数。
    void SetUser(WString UserName2Set); //!<设置用户名。
    ~UserSelfWidget(); //!<Destructor.

private :
    void Logout(); //!<退出。
    WPushButton * LogoutButton; //!<退出按钮。
}; //class UserTabWidget : public WWidget

#endif // USERTABWIDGET_H
