#include <Wt/WMenu> //WMenu
#include <Wt/WStackedWidget> //WStackedWidget

#include "UserTabWidget.h"

using namespace Wt; //toUTF8
using namespace std; //string


UserTabWidget::UserTabWidget()
{
    //设置本身的CSS样式类：
    setStyleClass("FileManageTabWidget"); //设置样式类。

    //左侧的菜单及底部区域：
    WContainerWidget * LeftArea=new WContainerWidget; //创建部件。
    LeftArea->setStyleClass("LeftArea"); //左侧区域。
    addWidget(LeftArea); //添加到界面中。

    LeftMenu=new WMenu(Wt::Vertical, LeftArea); //创建菜单。
    LeftMenu->setStyleClass("LeftMenu"); //左侧菜单。
    LeftMenu->show(); //显示。
    LeftMenu->addItem(WString::tr("User List")); //用户列表。
    LeftMenu->addItem(WString::tr("This User")); //本用户。

    //左侧背景：
    WLabel * LeftBgLbl=new WLabel(LeftArea); //左侧背景。
    LeftBgLbl->setStyleClass("LeftBgLbl"); //左侧背景。

    //右侧的操作区域：

    WContainerWidget * RightFileArea=new WContainerWidget; //创建容器。
    RightFileArea->setStyleClass("RightFileArea"); //样式类。
    addWidget(RightFileArea); //添加到界面中。

    //添加一个栈式部件到右侧操作区域中：
    RtStk=new WStackedWidget; //创建栈式部件。
    RightFileArea->addWidget(RtStk); //添加到右侧容器中。

    //添加各个子页面：

    //用户列表页面：

    UsrSelf=new UserSelfWidget; //创建本用户相关操作部件。

    UsrSelf->LogoutSignal.connect (this,&UserTabWidget::Logout); //要退出，那就退出。

    RtStk->addWidget(UsrSelf); //添加到栈中。//本用户的相关操作。
} //UserTabWidget::UserTabWidget()

/*!
  *@brief 退出。
  */
void UserTabWidget::Logout()
{
    LogoutSignal.emit(); //发射信号，退出。

    return;
} //void UserTabWidget::Logout()

/*!
  *@brief 为表格重新上色。
  *@param Tbl2Clr 要重新上色的表格。
  */
void UserTabWidget::ReColorTable(WTable * Tbl2Clr)
{
    int RowCtr=0; //行计数器。
    WTableRow * CrtRow=0; //当前行的指针。
    int RowStart=0; //从哪一行开始着色。

    if (Tbl2Clr->headerCount()) //有表头。
    {
        RowStart=1; //从第二行开始。
    } //if
    else //无表头。
    {
        RowStart=0; //从第一行开始。
    } //else

    for(RowCtr=RowStart;RowCtr<Tbl2Clr->rowCount();RowCtr++) //一行行地上色。
    {
        CrtRow=Tbl2Clr->rowAt(RowCtr); //获取当前行的指针。

        if (RowCtr%2) //是奇数行，一种颜色。
        {
            CrtRow->setStyleClass("TableRowOdd"); //设置样式单。
        } //if
        else //偶数行，另一种颜色。
        {
            CrtRow->setStyleClass("TableRowEven"); //设置样式单。
        } //else
    } //for

    return;
} //void UserTabWidget::ReColorTable(WTable * Tbl2Clr)

/*!
  *@brief 设置用来连接数据库的用户名的指针。
  *@param DbUserName2Set 要设置的用来连接数据库的用户名的指针。
  */
void UserTabWidget::SetDbUserName(WString * DbUserName2Set)
{
    DbUserName=DbUserName2Set;

    return;
} //void UserTabWidget::SetDbUserName(string * DbUserName2Set)

/*!
  *@brief 设置数据库名字的指针。
  *@param DatabaseName2Set 要设置的数据库名字指针。
  */
void UserTabWidget::SetDatabaseName(WString * DatabaseName2Set)
{
    DatabaseName=DatabaseName2Set;

    return;
} //void UserTabWidget::SetDatabaseName(WString * DatabaseName2Set)

/*!
  *@brief 设置用来连接数据库的密码的指针。
  *@param DbPassword2Set 要设置的用来连接数据库的密码的指针。
  */
void UserTabWidget::SetDbPassword(WString * DbPassword2Set)
{
    DbPassword=DbPassword2Set;

    return;
} //void UserTabWidget::SetDbPassword(string * DbPassword2Set)

/*!
  *@brief 修改密码。
  *显示出修改密码表单。
  */
void UserTabWidget::ModifyPassword()
{
    ModifyPasswordSignal.emit(); //发射信号，要修改密码。

    return;
} //void UserTabWidget::ModifyPassword()

/*!
  *@brief 返回用户名。
  */
WString UserTabWidget::GetUser()
{
    WString Result=""; //结果。

    return Result;
} //WString UserTabWidget::GetUser()




