#ifndef USERTABWIDGET_H
#define USERTABWIDGET_H

#include <Wt/WWidget> //WWidget
#include <Wt/WLabel> //WLabel
#include <Wt/WContainerWidget> //WContainerWidget
#include <Wt/WPushButton> //WPushButton
#include <Wt/WTable> //WTable

using namespace Wt; //WWidget

#include "UserSelfWidget.h" //UserSelfWidget

/*!
  *@brief 显示用户信息的部件。
  */
class UserTabWidget : public WContainerWidget
{
public:
    void SetRestrictedInfoAccess(bool WhetherRestricttrue,int RstctUsrId); //!<Set the info access previlege.
    WString GetUser(); //!<返回用户名。
    Signal<> ModifyPasswordSignal; //!<要修改密码。
    void SetDatabaseName(WString * DatabaseName2Set); //!<设置数据库名字的指针。
    void SetDbUserName(WString * DbUserName2Set); //!<设置用来连接数据库的用户名的指针。
    void SetDbPassword(WString * DbPassword2Set); //!<设置用来连接数据库的密码的指针。
    Signal<WTable *> TableAltered; //!<表格发生变化。
    Signal<> LogoutSignal; //!<退出信号。
    UserTabWidget(); //!<构造函数。
    void SetUser(WString UserName2Set); //!<设置用户名。

private :
    UserSelfWidget * UsrSelf; //!<本用户相关的操作部件。
    WStackedWidget * RtStk; //!<右侧用于显示子页面的栈式部件。
    void ToggleCagegory(); //!<切换文件分类模式。
    WMenu * LeftMenu; //!<左侧的文件分类菜单。
    void ModifyPassword(); //!<修改密码。
    WPushButton * PasswordModifyButton; //!<密码修改按钮。
    WString * DbPassword; //!<用来连接数据库的密码的指针。
    WString * DbUserName; //!<用来连接数据库的用户名的指针。
    WString * DatabaseName; //!<要连接的数据库名字。
    void ReColorTable(WTable * Tbl2Clr); //!<为表格重新上色。
    WLabel * RegisterDateLabel; //!<注册日期标签。
    WLabel * EmailLabel; //!<邮箱标签。
    WLabel *     PayingStatusLable; //!<付费状态标签。
    WTable * InfoTable; //!<详细信息表格。
    void Logout(); //!<退出。
    WPushButton * LogoutButton; //!<退出按钮。
}; //class UserTabWidget : public WWidget

#endif // USERTABWIDGET_H
