#include <Wt/WApplication> //WApplication
#include <Wt/WServer> //WServer

#include "PreCompile.h" //string

#include "QueueMateWebApplication.h"  //QueueMateWebApplication

//全局变量：
QueueMateWebApplication * GlobalApp; //全局的应用程序对象。
int ImgCtr; //图片计数器。

WApplication *createApplication(const WEnvironment& env)
{
    WApplication *app = new QueueMateWebApplication(env); //应用程序。
    GlobalApp=(QueueMateWebApplication*)(app); //记录全局应用程序。
    app->setTitle(WString::tr("QueueMate Management System")); //设置窗口标题。
    app->enableUpdates(); //允许从其它线程更新界面。

    return app;
} //WApplication *createApplication(const WEnvironment& env)

/*!
  *@brief 主函数。
  */
int main(int argc, char *argv[])
{
    try {
        WServer server(argv[0]);

        server.setServerConfiguration(argc, argv, WTHTTP_CONFIGURATION);

        //      BlogSession::configureAuth();

        //      BlogRSSFeed rssFeed(server.appRoot() + "blog.db", "Wt blog example", "", "It's just an example.");

        string WudisKUrl = ""; //浏览器入口的路径。

        server.addEntryPoint(Application, createApplication, WudisKUrl); //直接对浏览器进行服务的入口。

        string JsonApiUrl="/JsonApi/"; //JSON API的路径。


        if (server.start()) {
            WServer::waitForShutdown();
            server.stop();
        }
    } catch (WServer::Exception& e) {
        std::cerr << e.what() << std::endl;
    } catch (std::exception &e) {
        std::cerr << "exception: " << e.what() << std::endl;
    }

} //int main(int argc, char *argv[])
